function init(){
  getTourItem();
}
init()
// http://localhost:8080/page.html?id=C1_379000000A_000035
function getTourItem(){
  const id = location.href.split("=")[1];
  axios.get(`https://ptx.transportdata.tw/MOTC/v2/Tourism/ScenicSpot/Taipei?$format=JSON&$filter=contains(ID,'${id}')`)
  .then(function(response){
    const thisData = response.data[0];
    document.querySelector(".js-title").textContent = thisData.Name;

    document.querySelector(".js-img").setAttribute("src",thisData.Picture.PictureUrl1);
    document.querySelector(".js-descriptionDetail").textContent = thisData.DescriptionDetail

  })
}




function getAuthorizationHeader() {
  //  填入自己 ID、KEY 開始
  let AppID = 'FFFFFFFF-FFFF-FFFF-FFFF-FFFFFFFFFFFF';
  let AppKey = 'FFFFFFFF-FFFF-FFFF-FFFF-FFFFFFFFFFFF';
  //  填入自己 ID、KEY 結束
  let GMTString = new Date().toGMTString();
  let ShaObj = new jsSHA('SHA-1', 'TEXT');
  ShaObj.setHMACKey(AppKey, 'TEXT');
  ShaObj.update('x-date: ' + GMTString);
  let HMAC = ShaObj.getHMAC('B64');
  let Authorization = 'hmac username=\"' + AppID + '\", algorithm=\"hmac-sha1\", headers=\"x-date\", signature=\"' + HMAC + '\"';
  return { 'Authorization': Authorization, 'X-Date': GMTString };
}

// 洧杰申請
//   let AppID = '4ad9f73726a0409a9376afd2b59e59a7';
//  let AppKey = 'iR-j7mJI1CY924a-xfd6vhXZciM';